<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
if(isset($_POST["acao"])){
    if($_POST["acao"]=="inserir"){
        inserirPessoa();
    }
    if($_POST["acao"]=="alterar"){
        alterarPessoa();
    }
    if($_POST["acao"]=="excluir"){
        excluirPessoa();
    }
}

function abrirBanco(){
    $conexao = new mysqli("localhost", "itecproc_demo", "itec4321$#@!", "itecproc_new");
    return $conexao;
	
}

function selectAllFinanc(){
   	$conexao = new PDO("mysql:host=localhost;dbname='itecproc_new','itecproc_demo','itec4321$#@!');
	$conexao->exec('SET CHARACTER SET utf8');	
	return $conexao;
			
}

function selectAllprodutos(){
	$servidor = 'localhost';
	$usuario = 'itecproc_demo'';
	$senha = 'itec4321$#@!';
	$dbname = 'itecproc_new';
	$conn = mysqli_connect($servidor, $usuario, $senha, $dbname);
		
	return $conn;
}

function selectRecuperasenha(){
	define('HOST','localhost');
	define('USER','itecproc_demo');
	define('PASS','itec4321$#@!');
	define('BASE','itecproc_new');
	
	$conn = new MySQLi(HOST,USER,PASS,BASE);
	
	if(mysqli_connect_errno())
		trigger_error(mysqli_connect_error());
}

function inserirPessoa(){
    $banco = abrirBanco();
    $sql = 'INSERT INTO os(nome, telefone, endereco, nascimento) '
            . "VALUES ('{$_POST["nome"]}','{$_POST["telefone"]}','{$_POST["endereco"]}','{$_POST["nascimento"]}')";
    $banco->query($sql);
    $banco->close();
    voltarIndex();
}

function alterarPessoa(){
    $banco = abrirBanco();
    $sql = "UPDATE os SET nome='{$_POST["nome"]}',"
            . "nascimento='{$_POST["nascimento"]}',endereco='{$_POST["endereco"]}',"
            . "telefone='{$_POST["telefone"]}' WHERE id='{$_POST["id"]}'";
    $banco->query($sql);
    $banco->close();
    voltarIndex();
}

function excluirPessoa(){
    $banco = abrirBanco();
    $sql = "DELETE FROM os WHERE id='{$_POST["id"]}'";
    $banco->query($sql);
    $banco->close();
    voltarIndex();
}

function selectAllos(){
    $banco = abrirBanco();
    $sql = "SELECT * FROM os ORDER BY OSbloco";
    $resultado = $banco->query($sql);
    $banco->close();
    while ($row = mysqli_fetch_array($resultado)) {
        $grupo[] = $row;
    }
    return $grupo;
}

function selectAllprod(){
    $banco = abrirBanco();
    $sql = "SELECT * FROM produtos ORDER BY idProdutos";
    $resultado = $banco->query($sql);
    $banco->close();
    while ($row = mysqli_fetch_array($resultado)) {
        $grupo[] = $row;
    }
    return $grupo;
}

function selectIdos($id){
    $banco = abrirBanco();
    $sql = "SELECT * FROM os WHERE id =".$id;
    $resultado = $banco->query($sql);
    $banco->close();
    $os = mysqli_fetch_assoc($resultado);
    return $os;
}

function selectidMarcas($id){
	
			$banco = abrirBanco();
			$sql = "SELECT * FROM marcas WHERE idMarcas =".$id;
			$resultado = $banco->query($sql);
			$banco->close();
			$pco = mysqli_fetch_assoc($resultado);
			return $pco;
}

function selectidModelos($id){
	
			$banco = abrirBanco();
			$sql = "SELECT * FROM modelos WHERE idModelos =".$id;
			$resultado = $banco->query($sql);
			$banco->close();
			$mod = mysqli_fetch_assoc($resultado);
			return $mod;
}

function selectidContas($id){
	
			$banco = abrirBanco();
			$sql = "SELECT * FROM contas WHERE idContas =".$id;
			$resultado = $banco->query($sql);
			$banco->close();
			$pco = mysqli_fetch_assoc($resultado);
			return $pco;
}

function selectidCategorias($id){
	
			$banco = abrirBanco();
			$sql = "SELECT * FROM categorias WHERE idCategorias =".$id;
			$resultado = $banco->query($sql);
			$banco->close();
			$mod = mysqli_fetch_assoc($resultado);
			return $mod;
}


function voltarIndex(){
    header("Location:index.php");
}
function formatoData($data){
            $array = explode("-", $data);
            // $data = 2016-04-14
            // $array[0]= 2016, $array[1] = 04 e $array[2]= 14;
            $novaData = $array[2]."/".$array["1"]."/".$array[0];
            return $novaData;
        }

